Loading...
Searching...
No Matches
gtsam::PreintegrationParams Struct Reference

## Detailed Description

Parameters for pre-integration: Usage: Create just a single Params and pass a shared pointer to the constructor.

Inheritance diagram for gtsam::PreintegrationParams:

## Public Member Functions

| PreintegrationParams ()
| Default constructor for serialization only.
| PreintegrationParams (const Vector3 &n_gravity)
| The Params constructor insists on getting the navigation frame gravity vector For convenience, two commonly used conventions are provided by named constructors below.
void | print (const std::string &s="") const override
bool | equals (const PreintegratedRotationParams &other, double tol) const override
void | setAccelerometerCovariance (const Matrix3 &cov)
void | setIntegrationCovariance (const Matrix3 &cov)
void | setUse2ndOrderCoriolis (bool flag)
const Matrix3 & | getAccelerometerCovariance () const
const Matrix3 & | getIntegrationCovariance () const
const Vector3 & | getGravity () const
bool | getUse2ndOrderCoriolis () const
Public Member Functions inherited from gtsam::PreintegratedRotationParams
| PreintegratedRotationParams (const Matrix3 &gyroscope_covariance, boost::optional< Vector3 > omega_coriolis)
void | setGyroscopeCovariance (const Matrix3 &cov)
void | setOmegaCoriolis (const Vector3 &omega)
void | setBodyPSensor (const Pose3 &pose)
const Matrix3 & | getGyroscopeCovariance () const
boost::optional< Vector3 > | getOmegaCoriolis () const
boost::optional< Pose3 > | getBodyPSensor () const

## Static Public Member Functions

static boost::shared_ptr< PreintegrationParams > | MakeSharedD (double g=9.81)
static boost::shared_ptr< PreintegrationParams > | MakeSharedU (double g=9.81)

## Public Attributes

Matrix3 | accelerometerCovariance
| Continuous-time "Covariance" of accelerometer The units for stddev are σ = m/s²/√Hz.
Matrix3 | integrationCovariance
| continuous-time "Covariance" describing integration uncertainty
bool | use2ndOrderCoriolis
| Whether to use second order Coriolis integration.
Vector3 | n_gravity
| Gravity vector in nav frame.
Public Attributes inherited from gtsam::PreintegratedRotationParams
Matrix3 | gyroscopeCovariance
| Continuous-time "Covariance" of gyroscope measurements The units for stddev are σ = rad/s/√Hz.
boost::optional< Vector3 > | omegaCoriolis
| Coriolis constant.
boost::optional< Pose3 > | body_P_sensor
| The pose of the sensor in the body frame.

## Protected Member Functions

template<class ARCHIVE>
void | serialize (ARCHIVE &ar, const unsigned int)

## Friends

class | boost::serialization::access
| Serialization function.

## Member Function Documentation

## equals()

bool gtsam::PreintegrationParams::equals | ( | const PreintegratedRotationParams & | other,
|  | double | tol ) const

override virtual

Reimplemented from gtsam::PreintegratedRotationParams.

## print()

void gtsam::PreintegrationParams::print | ( | const std::string & | s = "" | ) | const

override virtual

Reimplemented from gtsam::PreintegratedRotationParams.

The documentation for this struct was generated from the following files:

- /build/gtsam-Xg031d/gtsam-4.2.0+dfsg/gtsam/navigation/PreintegrationParams.h
- /build/gtsam-Xg031d/gtsam-4.2.0+dfsg/gtsam/navigation/PreintegrationParams.cpp